libgimpprint API Reference: module.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/module.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <libgen.h>`
`#include <errno.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Data Structures
struct | stpi_internal_module_class
## Typedefs
typedef stpi_internal_module_class | stpi_internal_module_class_t
## Functions
void | module_list_freefunc (void *item)
int | stp_module_register (stp_module_t *module)
int | stp_module_load (void)
int | stp_module_exit (void)
stp_list_t * | stp_module_get_class (stp_module_class_t class)
int | stp_module_open (const char *modulename)
int | stp_module_init (void)
int | stp_module_close (stp_list_item_t *module)
## Variables
const stpi_internal_module_class_t | module_classes []
stp_module_t | print_canon_LTX_stp_module_data
stp_module_t | print_escp2_LTX_stp_module_data
stp_module_t | print_lexmark_LTX_stp_module_data
stp_module_t | print_pcl_LTX_stp_module_data
stp_module_t | print_ps_LTX_stp_module_data
stp_module_t | print_olympus_LTX_stp_module_data
stp_module_t | print_raw_LTX_stp_module_data
stp_module_t | color_traditional_LTX_stp_module_data
stp_module_t * | static_modules []
stp_list_t * | module_list = NULL

## Typedef Documentation

typedef struct stpi_internal_module_class stpi_internal_module_class_t

## Function Documentation

void module_list_freefunc | ( | void * | item | ) | `[static]`

| Definition at line 93 of file module.c. References stp_module::fini, stp_module::handle, and stp_module_t. Referenced by stp_module_load().

int stp_module_close | ( | stp_list_item_t * | module | ) |

| Definition at line 353 of file module.c. References module_list, stp_list_item_destroy(), and stp_list_item_t.

int stp_module_exit | ( | void |  | ) |

| Definition at line 195 of file module.c. References module_list, and stp_list_destroy().

stp_list_t* stp_module_get_class | ( | stp_module_class_t | class | ) |

| Definition at line 213 of file module.c. References module_list, stp_list_create(), stp_list_get_start(), stp_list_item_create(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_list_t, and stp_module_t. Referenced by stpi_xml_process_family().

int stp_module_init | ( | void |  | ) |

| Definition at line 322 of file module.c. References stp_module::init, module_list, stp_module::name, STP_DBG_MODULE, stp_deprintf(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, and stp_module_t. Referenced by stp_init().

int stp_module_load | ( | void |  | ) |

| Definition at line 107 of file module.c. References module_list, module_list_freefunc(), static_modules, stp_erprintf(), stp_list_create(), stp_list_destroy(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_list_node_free_data(), stp_list_set_freefunc(), stp_list_t, stp_module_open(), stp_module_register(), stp_path_search(), and stp_path_split(). Referenced by stp_init().

int stp_module_open | ( | const char * | modulename | ) |

| Definition at line 239 of file module.c. References stp_module::class, stp_module::handle, stp_module_version::major, stp_module_version::minor, module_list, stp_module::name, STP_DBG_MODULE, stp_deprintf(), stp_list_get_start(), stp_list_item_get_data(), stp_list_item_next(), stp_list_item_t, stp_module_register(), stp_module_t, and stp_module_version_t. Referenced by stp_module_load().

int stp_module_register | ( | stp_module_t * | module | ) | `[static]`

| Definition at line 308 of file module.c. References module_list, stp_module::name, STP_DBG_MODULE, stp_deprintf(), stp_list_item_create(), and stp_module_t. Referenced by stp_module_load(), and stp_module_open().

## Variable Documentation

stp_module_t color_traditional_LTX_stp_module_data

| Definition at line 67 of file module.c.

const stpi_internal_module_class_t module_classes[]`[static]`

| Initial value:
      {
        {STP_MODULE_CLASS_MISC, N_("Miscellaneous (unclassified)")},
        {STP_MODULE_CLASS_FAMILY, N_("Family driver")},
        {STP_MODULE_CLASS_COLOR, N_("Color conversion module")},
        {STP_MODULE_CLASS_DITHER, N_("Dither algorithm")},
        {STP_MODULE_CLASS_INVALID, NULL}
      }
Definition at line 50 of file module.c.

stp_list_t* module_list = NULL`[static]`

| Definition at line 86 of file module.c. Referenced by stp_module_close(), stp_module_exit(), stp_module_get_class(), stp_module_init(), stp_module_load(), stp_module_open(), and stp_module_register().

stp_module_t print_canon_LTX_stp_module_data

| Definition at line 60 of file module.c.

stp_module_t print_escp2_LTX_stp_module_data

| Definition at line 61 of file module.c.

stp_module_t print_lexmark_LTX_stp_module_data

| Definition at line 62 of file module.c.

stp_module_t print_olympus_LTX_stp_module_data

| Definition at line 65 of file module.c.

stp_module_t print_pcl_LTX_stp_module_data

| Definition at line 63 of file module.c.

stp_module_t print_ps_LTX_stp_module_data

| Definition at line 64 of file module.c.

stp_module_t print_raw_LTX_stp_module_data

| Definition at line 66 of file module.c.

stp_module_t* static_modules[]`[static]`

| Initial value:
      {
        &print_ps_LTX_stp_module_data,
        &print_canon_LTX_stp_module_data,
        &print_escp2_LTX_stp_module_data,
        &print_pcl_LTX_stp_module_data,
        &print_lexmark_LTX_stp_module_data,
        &print_olympus_LTX_stp_module_data,
        &print_raw_LTX_stp_module_data,
        &color_traditional_LTX_stp_module_data,
        NULL
      }
Definition at line 72 of file module.c. Referenced by stp_module_load().